Bug 115061 - [PATCH] rhel 2.1 will need to pick up the cyclone-lpj-fix
Summary: [PATCH] rhel 2.1 will need to pick up the cyclone-lpj-fix
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 2.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jason Baron
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 107565
TreeView+ depends on / blocked
 
Reported: 2004-02-05 23:05 UTC by john stultz
Modified: 2013-03-06 05:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-22 01:02:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
linux-2.4.23-pre9_cyclone-lpj-fix_A0.patch (906 bytes, patch)
2004-02-05 23:07 UTC, john stultz
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:105 normal SHIPPED_LIVE Moderate: kernel security update 2004-04-21 04:00:00 UTC

Description john stultz 2004-02-05 23:05:38 UTC
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, 
like Gecko) 
 
Description of problem: 
This is a clone for RHEL 2.1 of bug #110170  
I've opened it separately so this issue is tracked for both 
releases. 
 
Hardware Environment:   
x440 and x445   
   
Software Environment:   
Distros based on kernels < 2.4.23 
 
Version-Release number of selected component (if applicable): 
kernel-2.4.9-e.34 
 
How reproducible: 
Sometimes 
 
Steps to Reproduce: 
1. Boot RHEL 2.1 
2. Observe the BogoMIPS rating given to each cpu  
  
 
Actual Results:  Occasionally we'll see something like:  
        Calibrating delay loop... 3.27 BogoMIPS  
 
Expected Results:  Always seeing something like:  
        Calibrating delay loop... 199.47 BogoMIPS  
  
 
Additional info: 
 
This issue is caused by the lost-tick compensation code in the 2.4 
kernel using loops_per_jiffy before that value is calculated. This 
can cause loops_per_jiffy to be miscalculated, which may cause SCSI 
hangs at boot, occasional keyboard and mouse hangs in X, time 
running too fast, as well as other unseen issues. Normally the 
problem only occurs if the last cpu booted mis-calculates 
loops_per_jiffy, so it seems to show up rarely.   
  
The fix is to apply the patch submitted to lkml (now in 2.4.23-rc1) 
seen here: 
http://www.ussg.iu.edu/hypermail/linux/kernel/0311.0/0329.html 
 
 
Here is the patch included into 2.4.23-rc1As a side note, this 
problem was found while testing SLES8, so it has been fixed and does 
not affect SuSE

Comment 1 john stultz 2004-02-05 23:07:21 UTC
Created attachment 97505 [details]
linux-2.4.23-pre9_cyclone-lpj-fix_A0.patch

Comment 3 Jason Baron 2004-02-23 19:39:31 UTC
i've commit it to the U4 update stream for summit

Comment 5 Jason Baron 2004-02-27 22:00:47 UTC
patch included in U4 erratum candidate

Comment 6 john stultz 2004-03-26 21:33:01 UTC
Tested the 2.4.9-e39summit kernel on an x440 and the issue seems to 
be resolved. BogoMIPS was correct on all cpus. This looks to be 
closable now.  

Comment 7 John Flanagan 2004-04-22 01:02:55 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-105.html



Note You need to log in before you can comment on or make changes to this bug.